
SCM Creator (+Github) - Feature #2053

Set repository path according to identifier when using multiple repositories

15 Jun 2012 18:14 - Lluís -

Status: Open Start date: 15 Jun 2012

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

External issue:    

Description

It would be nice if changing the Identifier in the New repository page would also automatically update the URL field

instead of simply showing <projectname>.<number>.

Related issues:

Precedes SCM Creator (+Github) - Feature #2075: Make an option to fully autom... Open 26 Jun 2012

History

#1 - 15 Jun 2012 21:27 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

#2 - 20 Jun 2012 00:08 - Lluís -

I haven’t tried redmine without your plugin, so maybe it’s something that should be fixed in redmine and not here.

#3 - 20 Jun 2012 09:08 - Andriy Lesyuk

There are some notes regarding the issue... Value of URL should not be changed if:

It was changed manually before (it should listen to onchange event);

SCM Creator is not enabled for this SCM;

URL is disabled.

#4 - 09 Jan 2015 18:34 - Lluís -

- File identifier-check.patch added

The attached patch ensures that the repository identifier and the repository patch match, ensuring Redmine’s repository lookup will work;

"/path/<proj.identifier>” for repositories without identifier, and "/path/<proj.identifier>.<repo.identifier>” for repositories with an identifier

(sub-repositories in Redmine’s parlance).

Files

identifier-check.patch 1.54 KB 09 Jan 2015 Lluís -
